/*  ==========================================================================
    module: FLASH MESSAGE
    ========================================================================== */

    .flash
    {
        z-index: 13;
        height: 55px;
        font-size: 1.3rem;
        line-height: 2rem;
        text-align: center;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;

        @include breakpoint(large)
        {
          height: auto;
        }
    }
  
    .flash__item
    {
        padding: $flash-item-padding;
        background-color: $flash-item-background-color;
    }

    .flash__item--warning
    {
        background-color: $flash-item-warning-background-color;
        color: $flash-item-warning-color;

        a
        {
            color: $flash-item-warning-color;
            text-decoration: $flash-item-warning-text-decoration;
        }
    }

    .flash__item--error
    {
        background-color: $flash-item-error-background-color;
        color: $flash-item-error-color;

        a
        {
            color: $flash-item-error-color;
            text-decoration: $flash-item-error-text-decoration;
        }
    }

    .flash__item--success
    {
        background-color: $flash-item-success-background-color;
        color: $flash-item-success-color

        a
        {
            color: $flash-item-success-color;
            text-decoration: $flash-item-success-text-decoration;
        }
    }